# [Settings] Section (JUKEBOX.INI)

- AllowDuplicatesInQueue — Sets whether the same song can be queued more than once.
- AllowSelectFullCD
- ArtCacheMB
- AutoFlipTimer
- Coin1Credit
- Coin2Credit
- Coin3Credit
- Coin4Credit
- CPUUsage
- DebugLevel
- DisplayOutputFile
- FileSystemEncoding
- FirstAutoFlipTimer
- KeyboardLEDsOff
- LimitSkipLastToMostRecent
- LoopMode
- MaxQueueSize — Sets the maximum number of songs that can be queued.
- MaxRandomSongLength
- MostPopularDisplayTime
- PlayStimulatorDelay
- RadioMode
- RandomSongPopularityPreference
- RequireCredits
- ResourcePath
- SkipLastTimeLimit
- SongDelay
- SongSort
- SystemShutdownEnabled

[Settings] AllowDuplicatesInQueue
AllowDuplicatesInQueue sets whether or not a duplicate song can be added into the queue. Real jukeboxes, especially those that use remote wallboxes, will usually not allow duplicates, although they will happily accept the money, on the theory that if two patrons want to hear a particular song, they will both hear it even if it is only played once.

If this setting is set to FALSE and the song being added is already in the queue, the song will not be added, a credit will still be taken, and the MSG_DUPSONG message will be fired, with -MSG_DUPSONG being fired two seconds later. This will allow a skin to display an icon showing that the song has already been queued, although ordinarily such a display would not be desired, at least on a real jukebox.

Default value: False.

[Settings] AllowSelectFullCD
Sets whether selecting track 0 on a CD selects the full CD. AllowSelectFullCD sets whether or not selecting track zero on a CD will select all the songs on a CD. If credits are required, only the number of tracks for which credit is available will be selected.

Default value: True.

[Settings] ArtCacheMB
ArtCacheMB specifies the amount of memory set aside for caching cover art images in megabytes. Note that at least enough memory to cache one page will always be reserved. The range is 0 to 1024. The default setting is AUTO, which is 4MB for DOS or 32MB for Windows. This setting only applies to album-based skins, as cover art is not supported for classic skins.

Default value: Auto.

[Settings] AutoFlipTimer
The AutoFlip timer automatically changes pages after a timer expires. If a longer delay before the first automatic flip is desired, set the FirstAutoFlipTimer to the desired time. For example you may want pages to start flipping after 5 minutes but then flip every 30 seconds thereafter.

If either timer is disabled the other timer will control all flips. If both timers are disable no automatic flips will occur. The timers are set in seconds.

Default value: Disabled.

> See also: FirstAutoFlipTimer.

[Settings] Coin1Credit
[Settings] Coin2Credit
[Settings] Coin3Credit
[Settings] Coin4Credit
CoinXCredit sets the number of credits provided by a given coin input. X can range from 1 to 4. For example, if coin slot 1 took nickels and coin slot 2 took quarters, you might want to set 1 credit for a nickel and 5 credits for a quarter. You would thus set:

>     Coin1Credit = 1
>     Coin2Credit = 5

Default value: 3.

> See also: BTN_COIN1, RequireCredits.

[Settings] CPUUsage
CPUUsage sets how much CPU time the jukebox gives itself in Windows; it has no effect in DOS. Higher values give more CPU priority to the jukebox, lower values give more priority to the system. This value can range from 0 to 100.

Default value: 10.

[Settings] DebugLevel
DebugLevel sets the logging level for the jukebox. The debug log is stored in jbdebug.log in the same folder as the jukebox. The DebugLevel may be set from DISABLED (no logging) to 5 (maximum logging). Detail level 5 will show inordinately large amounts of detail; usually detail level 3 is the most informative without detail overload. Debug logs can grow quite large, so DebugLevel should only be enabled when troubleshooting.

If a fatal error occurs, jbdebug.log will get create whether or not the DebugLevel is set,

Default value: Disabled.

[Settings] DisplayOutputFile
DisplayOutputFile sets the location and name of the display output file. This file contains a four-line version of the Now Playing display in plain text, usable by programs that can send the contents of a file to an LCD display like LCD Smartie. Setting this to Disabled will prevent the output file from being created or updated.

Default value: display.txt, in the same directory as the jukebox.

[Settings] FileSystemEncoding
FileSystemEncoding sets the text encoding used by the file system. Possible values are ASCII, UTF8, and UNICODE. You should never need to change this setting.

Default value: ASCII.

[Settings] FirstAutoFlipTimer

The AutoFlip timers automatically change pages after a timer expires. Usually a longer delay for the first flip is desired, for example you may want pages to start flipping after 5 minutes but then flip every 30 seconds thereafter. FirstAutoFlipTimer sets the interval for the first flip; use AutoFlipTimer to set the interval for the remaining flips. If either timer is disabled the other timer will control all flips. If both timers are disable no automatic flips will occur. The timers are set in seconds.

Default value: Disabled.

> See also: AutoFlipTimer.

[Settings] KeyboardLEDsOff
This setting attempts to turn off the keyboard LED's when the jukebox starts. This is meant for jukeboxes in game cabinets where the keyboard LED's may be mapped to LEDs on the control panel. This setting only works in DOS and Windows 95/98.

Default value: Disabled.

[Settings] LimitSkipLastToMostRecent
LimitSkipLastToMostRecent prevents the BTN_SKIPLAST button from removing more than a single song from the end of the queue if SkipLastTimeLimit is enabled. If this setting is disabled, the BTN_SKIPLAST button can be used to remove as many songs from the end of the queue as desired until the time limit runs out. Note that if SkipLastTimeLimit is set to 0 or DISABLED, this setting has no effect, as in that case BTN_SKIPLAST is not limited.

Default value: Enabled.

> See also: BTN_SKIPLAST, SkipLastTimeLimit.

[Settings] LoopMode
LoopMode enables loop mode, where songs are re-added to the queue automatically as soon as they finish playing. You usually want to leave this set to FALSE and enable it via BTN_LOOP.

Default value: Disabled.

> See also: BTN_LOOP, MSG_LOOP, LoopMode.

[Settings] MaxQueueSize
MaxQueueSize sets the maximum number of songs that can be queued up to play, not counting the currently playing song. This value can range from 1 to 500.

Default value: 250.

[Settings] MaxRandomSongLength
MaxRandomSongLength sets, in minutes, the longest song that can be played by any method that selects a random song, such as the play stimulator or radio mode. The default is 6 minutes; the minimum is two minutes. Note that if there are very few songs available below this limit, longer songs may be played as the random song selector will only try a limited number of times to find a matching song to avoid crashes.

Default value: 6.

[Settings] MostPopularDisplayTime
MostPopularDisplayTime sets the number of seconds the "most popular" display is shown before returning to the "upcoming songs" display.

Default value: 5.

> See also: BTN_POPULAR, MSG_POPULAR.

[Settings] PlayStimulatorDelay
PlayStimulatorDelay sets the number of seconds the jukebox must be idle before randomly selecting and playing a song. If PlayStimulatorDelay is set to 0 or DISABLED, songs will not play randomly while the jukebox is idle.

Default value: Disabled.

> See also: PlayStimulator.

[Settings] RadioMode
RadioMode sets whether or not the jukebox will play songs continuously when idle, like a radio. This mode can be toggled with BTN_RADIO, or specifically turned on or off with BTN_RADIO_ON and BTN_RADIO_OFF.

Default value: Disabled.

> See also: BTN_RADIO, BTN_RADIO_OFF, BTN_RADIO_ON.

[Settings] RandomSongPopularityPreference
RandomSongPopularityPreference sets the level which the jukebox gives preference to songs higher in the popularity list. A value of 0 or DISABLED ignores popularity for random selects, giving equal preference to all songs regardless of popularity. Values above 0 give more preference to popular songs, to a maximum value of 10. Values above 4 or so are not recommended unless you have thousands of songs available. The default value is 2.

Note that this setting only has any effect after at least a quarter of the songs in the library have been played at least once.

[Settings] RequireCredits
If RequireCredits is true, selections cannot be made without credits. If RequireCredits is false and the credit display is enabled, it will always show 01.

Please note that the credits feature is meant only for home use, for entertainment purposes only. There are ways to bypass the credit system; it is not licensed for, or suitable for, a commercial environment. See license.txt for full details.

Default value: False.

> See also: BTN_COIN1, Coin1Credit.

[Settings] ResourcePath
ResourcePath sets alternate paths for skin resources. Multiple ResourcePaths can be specified as ResourcePath1, ResourcePath2, etc. If no ResourcePath is set, the jukebox will default to the SKINS folder. Subfolders are not searched.

Default value: skins.

[Settings] SkipLastTimeLimit
SkipLastTimeLimit sets the number of seconds after a song is queued in which is can be removed from the queue with BTN_SKIPLAST. If SkipLastTimeLimit is set to 0 or DISABLED, the user can always remove the last song in the queue. To disable this function, simply don't map a key to it.

Default value: 15.

> See also: BTN_SKIPLAST.

[Settings] SongDelay
SongDelay sets the length of time the jukebox pauses between songs, in hundredths of a second. This would be the time a real jukebox would be switching disks. Note that this setting is only used if the skin does not provide an InterSongDelay.

Default value: 200 (2 seconds).

> See also: PreSongDelay, PostSongDelay, InterSongDelay.

[Settings] SongSort
SongSort sets how the jukebox arranges titlestrips. If SongSort is set to Artist, title strips will be sorted by the artist name. If SongSort is set to Random or is not set, title strips will be randomized. If SongSort is set to Album, title strips will be sorted by the album name. Note that Album sort only appllies to CD-based skins.

Default value: Artist.

[Settings] SystemShutdownEnabled
SystemShutdownEnabled sets whether or not the jukebox can shut down Windows. If SystemShutdownEnabled=True, Windows will shut down if BTN_SHUTDOWN was pressed or if the jukebox is requested to close by Windows. Exiting via BTN_EXIT will not shut down the system even if SystemShutdownEnabled is enabled. This setting has no effect in the DOS version.

Default value: False.

Back to contents